=== debian/changelog ===
nrn-iv (3.1+git20221204-2) unstable; urgency=medium

  * Conflict with ivtools-dev

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Feb 2023 20:26:14 +0100

nrn-iv (3.1+git20221204-1) unstable; urgency=medium

  * Initial release, split out of NEURON

 -- Matthias Klumpp <mak@debian.org>  Mon, 23 Jan 2023 21:19:58 +0100
