=== debian/control ===
Source: nrn-iv
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libx11-dev,
               libxcomposite-dev,
               libxext-dev,
               zlib1g-dev
Build-Conflicts: ivtools-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/neuronsimulator/iv
Vcs-Git: https://salsa.debian.org/science-team/nrn-iv.git
Vcs-Browser: https://salsa.debian.org/science-team/nrn-iv

Package: libinterviews-dev
Section: libdevel
Architecture: any
Depends: libx11-dev,
         libxcomposite-dev,
         libxext-dev,
         zlib1g-dev,
         ${misc:Depends}
Conflicts: ivtools-dev
Description: InterViews 3.1 for the NEURON simulator
 InterViews is a C++ GUI library from Stanford University
 and Silicon Graphics with a Motif look and feel.
 .
 It is used by the NEURON simulator for legacy UI support,
 and should not be used by newly written code.
