=== debian/changelog ===
nrn-iv (3.1+git20250501-1) unstable; urgency=medium

  * New upstream Git snapshot: 3.1+git20250501
  * Bump standards version: No changes needed
  * Drop d/watch file: There are no releases to scan for

 -- Matthias Klumpp <mak@debian.org>  Sun, 04 May 2025 22:46:14 +0200
