=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxext-dev,
                zlib1g-dev
 Build-Conflicts: ivtools-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/neuronsimulator/iv
 Vcs-Git: https://salsa.debian.org/science-team/nrn-iv.git
